import { BT_MODULE } from "./constants";
export type BtModuleKeys = (typeof BT_MODULE)[keyof typeof BT_MODULE];
export type BtModuleLoadConfig = {
    id: string;
    module: BtModuleKeys;
    amdModule: {
        unminified: string;
        minified: string;
    };
    script: {
        unminified: string;
        minified: string;
    };
};
export declare const BT_NAMESPACE = "braintree";
export declare const btModulesLoadConfig: Record<BtModuleKeys, BtModuleLoadConfig>;
