export const BT_CDN_BASE_URL = "https://js.braintreegateway.com";

/**
 * Maps to the BT module namespace created on the window.braintree object
 */
export const BT_MODULE = {
  Client: "client",
  HostedCardFields: "hostedFields",
} as const;
export const BT_NAMESPACE = "braintree";

export const BT_ASSET_NAME = {
  [BT_MODULE.Client]: "client",
  [BT_MODULE.HostedCardFields]: "hosted-fields",
} as const;
